Create a counterparty

Description

This endpoint allows to create an outgoing counterparty (associated to a third party / user).
Depending on the partner configuration, the counterparty is either directly validated or created with a status requiring a review.

Prerequisite

  • To access this endpoint, authentication is required.
  • Credentials are to be provided in the request headers as part of the authentication process.

Strong Customer Authentication

To create a new Counterparty it is mandatory to use the SCA endpoint (except in exceptional cases validated by the integration teams) :

POST /api/sca/v3.0/users/USERID/counterparty
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create Counterparty Request

string
enum
required

Counterparty type used to indicate whether the counterparty is an individual or a business.

Possible values: Person, LegalEntity.

Allowed:
person
object
required

Represents a request to create a counterparty person with a full name.

string
required
length between 6 and 30
^[a-zA-Z0-9-_.!§)(]*$

User identifier from the Partner.

string | null
^[A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+(['’ -][A-Za-zÆ-Ëæ-ëÎîÏïÔôÖöÙùÛûÜüŸÿŒœÀàÂâÄä]+)*$

Counterparty display name (e.g.: Dad - BRED).

string
required
length between 15 and 34
^[A-Z]{2}[0-9]{2}[A-Z0-9]{11,30}$

Counterparty IBAN (International Bank Account Number).

string | null
^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$

Counterparty BIC (Bank Identifier Code). It is an 8/11 characters code that identifies banks globally.
If not provided, automatically deduced from the IBAN.

string | null
enum
Defaults to EUR

Currency associated with the counterparty account. Possible values: EUR, PLN, RON. If not provided: EUR.

Allowed:
scopes
array of strings, unique
required
length ≥ 1

Scope(s) of use of the counterparty.
Possible values: "CreditTransferBeneficiary", "DirectDebitDebtor".

legalEntity
object

Represents a request to create a counterparty legal entity, including company name and identification details.

address
object

Represents the data required to create a counterparty address.

contact
object

CreateCounterpartyContactRequest

Headers
uuid

Correlation identifier used for request tracing.

Responses

500

Internal Server Error

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json